# Google Mirror API . accounts

## Instance Methods

Inserts a new account for a user

### Method Details

`insert(userToken, accountType, accountName, body)`

    Inserts a new account for a user

    Args:
      userToken: string, The ID for the user. (required)
      accountType: string, Account type to be passed to Android Account Manager. (required)
      accountName: string, The name of the account to be passed to the Android Account Manager. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # Represents an account passed into the Account Manager on Glass.
        "userData": [
          {
            "value": "A String",
            "key": "A String",
          },
        ],
        "authTokens": [
          {
            "authToken": "A String",
            "type": "A String",
          },
        ],
        "password": "A String",
        "features": [
          "A String",
        ],
      }

    Returns:
      An object of the form:

        { # Represents an account passed into the Account Manager on Glass.
          "userData": [
            {
              "value": "A String",
              "key": "A String",
            },
          ],
          "authTokens": [
            {
              "authToken": "A String",
              "type": "A String",
            },
          ],
          "password": "A String",
          "features": [
            "A String",
          ],
        }